# ../addons/eventscripts/gungame/scripts/custom/gg_knives_only/gg_knives_only_config.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# EventScripts Imports
import es
import cfglib

# GunGame Imports
from gungame51.core.cfg import generate_header

# ============================================================================
# >> GLOBAL VARIABLES
# ============================================================================
config = cfglib.AddonCFG('%s/cfg/' % es.ServerVar('eventscripts_gamedir') +
    'gungame51/custom_addon_configs/gg_knives_only.cfg')

# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    generate_header(config)


    # Knives Only
    config.text('')
    config.text('='*76)
    config.text('>> KNIVES ONLY')
    config.text('='*76)
    config.text('Description:')
    config.text('   Only allows knives.')
    config.text('Options:')
    config.text('   0 = (Disabled)')
    config.text('   1 = (Enabled)')
    config.text('Default Value: 0')
    config.cvar('gg_knives_only', 0, 'Enables/Disables ' +
                'gg_knives_only.').addFlag('notify')
    config.text('')

    config.write()
    es.dbgmsg(0, '\tgg_knives_only.cfg')

def unload():
    global config

    # Remove the "notify" flags as set by addFlag('notify')
    for cvar in config.getCvars().keys():
        es.flags('remove', 'notify', cvar)
    
    # Delete the cfglib.AddonCFG instance
    del config